org.apache.avro

## Class Resolver.WriterUnion

- java.lang.Object
- - org.apache.avro.Resolver.Action
  - - org.apache.avro.Resolver.WriterUnion

- Enclosing class:
    Resolver

      public static class Resolver.WriterUnion
      extends Resolver.Action

  In this case, the writer was a union. There are two subcases here: If the reader and writer are the same union, then the `unionEquiv` variable is set to true and the `actions` list holds the resolutions of each branch of the writer against the corresponding branch of the reader (which will result in no material resolution work, because the branches will be equivalent). If they reader is not a union or is a different union, then `unionEquiv` is false and the `actions` list holds the resolution of each of the writer's branches against the entire schema of the reader (if the reader is a union, that will result in ReaderUnion actions).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.avro.Resolver.Action

      `Resolver.Action.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Resolver.Action[]` | `actions`
    `boolean` | `unionEquiv`

    - ### Fields inherited from class org.apache.avro.Resolver.Action

      `conversion, logicalType, reader, type, writer`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Resolver.Action` | `resolve(Schema writeSchema, Schema readSchema, GenericData data, Map<Schema.SeenPair,Resolver.Action> seen)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### actions

          public final Resolver.Action[] actions

    - #### unionEquiv

          public final boolean unionEquiv

  - ### Method Detail

    - #### resolve

          public static Resolver.Action resolve(Schema writeSchema,
                                                Schema readSchema,
                                                GenericData data,
                                                Map<Schema.SeenPair,Resolver.Action> seen)

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.